import type { Parameter } from "@aws-sdk/client-ssm";
import { SSMClient } from "@aws-sdk/client-ssm";
export declare class ParameterStoreService {
    private readonly client;
    constructor(client: SSMClient);
    /**
     * Retrieves parameters from AWS Parameter Store by the specified path.
     * @param {string} path - The path to the parameters in AWS Parameter Store.
     * @param {boolean} shouldDecryptParameters - Whether to decrypt the parameter values. Default is false.
     * @param {boolean} shouldUseRecursiveLoading - Whether to recursively load parameters under the specified path. Default is false.
     * @param {boolean} isVerbose - Whether to log verbose messages. Default is false.
     * @returns {Promise<Array<Parameter>>} - A promise that resolves to an array of Parameter objects.
     */
    getParametersByPath(path: string, shouldDecryptParameters?: boolean, shouldUseRecursiveLoading?: boolean, isVerbose?: boolean): Promise<Array<Parameter>>;
}
