'use strict';

/**
 * Injection token for Parameter Store configuration properties.
 * Used to provide and inject configuration options throughout the module.
 */
const PARAMETER_STORE_CONFIG_PROPERTIES = "PARAMETER_STORE_CONFIG_PROPERTIES";
/**
 * Injection token for Parameter Store parameters.
 * Used to provide and inject the parameters retrieved from AWS Parameter Store.
 */
const PARAMETER_STORE_CONFIG_PARAMETERS = "PARAMETER_STORE_CONFIG_PARAMETERS";
/**
 * Injection token for the AWS SSM client.
 * Used to provide and inject the configured SSM client.
 */
const PARAMETER_STORE_SSM_CLIENT = "PARAMETER_STORE_SSM_CLIENT";

exports.PARAMETER_STORE_CONFIG_PARAMETERS = PARAMETER_STORE_CONFIG_PARAMETERS;
exports.PARAMETER_STORE_CONFIG_PROPERTIES = PARAMETER_STORE_CONFIG_PROPERTIES;
exports.PARAMETER_STORE_SSM_CLIENT = PARAMETER_STORE_SSM_CLIENT;
//# sourceMappingURL=constant.js.map
