/**
 * Enum representing various service types that can be configured.
 */
export declare enum EService {
    AB_TESTING = "ab-testing",
    ACTIVEMQ = "activemq",
    ADDRESS_VALIDATION = "address-validation",
    ADMIN_API = "admin-api",
    ADYEN = "adyen",
    ALERT_MANAGER = "alert-manager",
    ALGOLIA = "algolia",
    AMPLITUDE = "amplitude",
    ANALYTICS_SERVICE = "analytics-service",
    ANTHROPIC = "anthropic",
    APACHE = "apache",
    API_GATEWAY = "api-gateway",
    APPLE_AUTH = "apple-auth",
    AUDIO_PROCESSING = "audio-processing",
    AUTH_SERVICE = "auth-service",
    AUTH0 = "auth0",
    AWS_API_GATEWAY = "aws-api-gateway",
    AWS_APP_SYNC = "aws-app-sync",
    AWS_ATHENA = "aws-athena",
    AWS_BATCH = "aws-batch",
    AWS_CLOUDFRONT = "aws-cloudfront",
    AWS_CLOUDWATCH = "aws-cloudwatch",
    AWS_COGNITO = "aws-cognito",
    AWS_DOCUMENTDB = "aws-documentdb",
    AWS_DYNAMODB = "aws-dynamodb",
    AWS_EC2 = "aws-ec2",
    AWS_ECS = "aws-ecs",
    AWS_ELASTIC_BEANSTALK = "aws-elastic-beanstalk",
    AWS_ELASTICACHE = "aws-elasticache",
    AWS_ELASTICSEARCH = "aws-elasticsearch",
    AWS_EVENTBRIDGE = "aws-eventbridge",
    AWS_FARGATE = "aws-fargate",
    AWS_GLUE = "aws-glue",
    AWS_IOT = "aws-iot",
    AWS_KINESIS = "aws-kinesis",
    AWS_LAMBDA = "aws-lambda",
    AWS_NEPTUNE = "aws-neptune",
    AWS_OPENSEARCH = "aws-opensearch",
    AWS_RDS = "aws-rds",
    AWS_REDSHIFT = "aws-redshift",
    AWS_ROUTE53 = "aws-route53",
    AWS_S3 = "aws-s3",
    AWS_SECRETS_MANAGER = "aws-secrets-manager",
    AWS_SNS = "aws-sns",
    AWS_SQS = "aws-sqs",
    AWS_STEP_FUNCTIONS = "aws-step-functions",
    AWS_TIMESTREAM = "aws-timestream",
    AZURE_ACTIVE_DIRECTORY = "azure-active-directory",
    AZURE_APP_SERVICE = "azure-app-service",
    AZURE_BLOB_STORAGE = "azure-blob-storage",
    AZURE_COSMOS_DB = "azure-cosmos-db",
    AZURE_FUNCTIONS = "azure-functions",
    AZURE_KEY_VAULT = "azure-key-vault",
    AZURE_SERVICE_BUS = "azure-service-bus",
    AZURE_SQL = "azure-sql",
    BACKBLAZE = "backblaze",
    BRAINTREE = "braintree",
    CACHE = "cache",
    CART_SERVICE = "cart-service",
    CASSANDRA = "cassandra",
    CDN = "cdn",
    CERTIFICATE_MANAGER = "certificate-manager",
    CHARGEBEE = "chargebee",
    CIRCLECI = "circleci",
    CLARIFAI = "clarifai",
    CLEARBIT = "clearbit",
    CLICKHOUSE = "clickhouse",
    CLOUDFLARE = "cloudflare",
    CLOUDINARY = "cloudinary",
    CMS = "cms",
    COCKROACHDB = "cockroachdb",
    COHERE = "cohere",
    CONSUL = "consul",
    CONTENT_SERVICE = "content-service",
    COUCHBASE = "couchbase",
    CYPRESS = "cypress",
    DATADOG = "datadog",
    DATADOG_CI = "datadog-ci",
    DDOS_PROTECTION = "ddos-protection",
    DGRAPH = "dgraph",
    DIGITALOCEAN_SPACES = "digitalocean-spaces",
    DISCORD_AUTH = "discord-auth",
    DOCKER = "docker",
    ELASTICSEARCH = "elasticsearch",
    EMAIL_SERVICE = "email-service",
    ENVOY = "envoy",
    ESLINT = "eslint",
    EXPERIMENT_SERVICE = "experiment-service",
    FACEBOOK_AUTH = "facebook-auth",
    FASTLY = "fastly",
    FEATURE_FLAGS = "feature-flags",
    FILE_SERVICE = "file-service",
    FILEBASE = "filebase",
    GCP_APP_ENGINE = "gcp-app-engine",
    GCP_BIGQUERY = "gcp-bigquery",
    GCP_BIGTABLE = "gcp-bigtable",
    GCP_CLOUD_FUNCTIONS = "gcp-cloud-functions",
    GCP_CLOUD_RUN = "gcp-cloud-run",
    GCP_CLOUD_SQL = "gcp-cloud-sql",
    GCP_CLOUD_STORAGE = "gcp-cloud-storage",
    GCP_COMPUTE_ENGINE = "gcp-compute-engine",
    GCP_DATASTORE = "gcp-datastore",
    GCP_FIRESTORE = "gcp-firestore",
    GCP_PUBSUB = "gcp-pubsub",
    GCP_SPANNER = "gcp-spanner",
    GITHUB = "github",
    GITHUB_ACTIONS = "github-actions",
    GITHUB_AUTH = "github-auth",
    GITLAB = "gitlab",
    GOOGLE_AUTH = "google-auth",
    GRAFANA = "grafana",
    HAPROXY = "haproxy",
    HEALTH_CHECK = "health-check",
    HUBSPOT = "hubspot",
    HUGGINGFACE = "huggingface",
    IDENTITY_PROVIDER = "identity-provider",
    IMAGE_PROCESSING = "image-processing",
    IMGIX = "imgix",
    INFLUXDB = "influxdb",
    INTERCOM = "intercom",
    INVENTORY_SERVICE = "inventory-service",
    IOT_ANALYTICS = "iot-analytics",
    IOT_CORE = "iot-core",
    IOT_EVENTS = "iot-events",
    ISTIO = "istio",
    JENKINS = "jenkins",
    JEST = "jest",
    KAFKA = "kafka",
    KUBERNETES = "kubernetes",
    LANGCHAIN = "langchain",
    LINKEDIN_AUTH = "linkedin-auth",
    LINKERD = "linkerd",
    LINODE_OBJECT_STORAGE = "linode-object-storage",
    LOAD_BALANCER = "load-balancer",
    LOCATION_SERVICE = "location-service",
    LOG_MANAGER = "log-manager",
    MAILCHIMP = "mailchimp",
    MAILGUN = "mailgun",
    MARIADB = "mariadb",
    MESSAGING_SERVICE = "messaging-service",
    METRICS_SERVICE = "metrics-service",
    MICROSOFT_AUTH = "microsoft-auth",
    MILVUS = "milvus",
    MINIO = "minio",
    MIXPANEL = "mixpanel",
    MONGODB = "mongodb",
    MQTT = "mqtt",
    MYSQL = "mysql",
    NATS = "nats",
    NEO4J = "neo4j",
    NEWRELIC = "newrelic",
    NGINX = "nginx",
    NOTIFICATION_SERVICE = "notification-service",
    OKTA = "okta",
    OPENAI = "openai",
    ORACLE = "oracle",
    ORDER_SERVICE = "order-service",
    PAYMENT_SERVICE = "payment-service",
    PAYPAL = "paypal",
    PINECONE = "pinecone",
    PLAID = "plaid",
    POSTGRES = "postgres",
    POSTMARK = "postmark",
    PRODUCT_SERVICE = "product-service",
    PROMETHEUS = "prometheus",
    PUBNUB = "pubnub",
    PULSAR = "pulsar",
    PUSHER = "pusher",
    PYTORCH_SERVE = "pytorch-serve",
    QDRANT = "qdrant",
    RABBITMQ = "rabbitmq",
    REAPER = "reaper",
    RECOMMENDATION_SERVICE = "recommendation-service",
    RECURLY = "recurly",
    REDIS = "redis",
    REPLICATE = "replicate",
    REPORTING_SERVICE = "reporting-service",
    RETHINKDB = "rethinkdb",
    SCHEDULER_SERVICE = "scheduler-service",
    SCYLLADB = "scylladb",
    SEARCH_SERVICE = "search-service",
    SEGMENT = "segment",
    SENDGRID = "sendgrid",
    SENTRY = "sentry",
    SENTRY_DEBUG = "sentry-debug",
    SHIPPING_SERVICE = "shipping-service",
    SHOPIFY = "shopify",
    SLACK = "slack",
    SMS_SERVICE = "sms-service",
    SONARQUBE = "sonarqube",
    SQL_SERVER = "sql-server",
    SQLITE = "sqlite",
    STRIPE = "stripe",
    TAX_SERVICE = "tax-service",
    TEAMCITY = "teamcity",
    TENSORFLOW_SERVING = "tensorflow-serving",
    TERRAFORM = "terraform",
    TIMESCALEDB = "timescaledb",
    TRACING_SERVICE = "tracing-service",
    TRAEFIK = "traefik",
    TRAVIS_CI = "travis-ci",
    TWILIO = "twilio",
    TWITCH_AUTH = "twitch-auth",
    TWITTER_AUTH = "twitter-auth",
    UPLOADCARE = "uploadcare",
    USER_SERVICE = "user-service",
    VAULT = "vault",
    VERTEX_AI = "vertex-ai",
    VIDEO_PROCESSING = "video-processing",
    WAF = "waf",
    WASABI = "wasabi",
    WEAVIATE = "weaviate",
    WORKFLOW_ENGINE = "workflow-engine",
    ZENDESK = "zendesk",
    ZEROMQ = "zeromq"
}
