'use strict';

var constant = require('../../constant/config/constant.js');

/**
 * Creates a value provider for Parameter Store configuration properties.
 * @param {IParameterStoreConfigProperties} options - The configuration options to provide
 * @returns {ValueProvider<IParameterStoreConfigProperties>} A ValueProvider that provides the configuration options
 */
const ParameterStoreConfigPropertiesProvider = (options) => {
    return {
        provide: constant.PARAMETER_STORE_CONFIG_PROPERTIES,
        useValue: options,
    };
};

exports.ParameterStoreConfigPropertiesProvider = ParameterStoreConfigPropertiesProvider;
//# sourceMappingURL=properties.provider.js.map
