'use strict';

var clientSsm = require('@aws-sdk/client-ssm');
var constant = require('../../constant/config/constant.js');

/**
 * Factory provider that creates and configures an AWS SSM client.
 * Uses the configuration provided through the Parameter Store module.
 */
const ParameterStoreConfigSSMProvider = {
    inject: [constant.PARAMETER_STORE_CONFIG_PROPERTIES],
    provide: constant.PARAMETER_STORE_SSM_CLIENT,
    useFactory: (properties) => {
        return new clientSsm.SSMClient(properties.config ?? {});
    },
};

exports.ParameterStoreConfigSSMProvider = ParameterStoreConfigSSMProvider;
//# sourceMappingURL=ssm-client.provider.js.map
