import type { Parameter } from "@aws-sdk/client-ssm";
import { IConfigGetProperties } from './interface/index';
export declare class ParameterStoreConfigService {
    private readonly parameters;
    constructor(parameters: Array<Parameter>);
    /**
     * Retrieves the value of a parameter with the specified name.
     * @param {IConfigGetProperties | string} properties - The parameter name or context options.
     * @returns {null | string} - The value of the parameter if found, or null if not found.
     */
    get(properties: IConfigGetProperties | string): null | string;
    /**
     * Gets the application name from environment variables.
     * @returns {string} The application name.
     */
    getApplication(): string;
    /**
     * Gets the environment name from environment variables.
     * @returns {string} The environment name.
     */
    getEnvironment(): string;
}
