import { PARAMETER_STORE_CONFIG_PROPERTIES } from '../../constant/config/constant.js';

/**
 * Creates a value provider for Parameter Store configuration properties.
 * @param {IParameterStoreConfigProperties} options - The configuration options to provide
 * @returns {ValueProvider<IParameterStoreConfigProperties>} A ValueProvider that provides the configuration options
 */
const ParameterStoreConfigPropertiesProvider = (options) => {
    return {
        provide: PARAMETER_STORE_CONFIG_PROPERTIES,
        useValue: options,
    };
};

export { ParameterStoreConfigPropertiesProvider };
//# sourceMappingURL=properties.provider.js.map
